%define _legacy_common_support 1

Name:          theli
Version:       3.1.4
Release:       %mkrel 4
Summary:       A pipeline for the automated reduction of astronomical images
License:       GPLv3+
Group:         Sciences/Astronomy

URL:           https://www.astro.uni-bonn.de/theli/
Source0:       https://github.com/schirmermischa/THELI/archive/THELI-%{version}.tar.gz

#configuration scripts test for their presence
BuildRequires: scamp
BuildRequires: cdsclient
BuildRequires: python3-astropy
BuildRequires: python3-matplotlib
BuildRequires: python3-numpy
BuildRequires: qmake
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: wcslib-devel
BuildRequires: cfitsio-devel
BuildRequires: gsl-devel
BuildRequires: openmpi-devel
BuildRequires: pkgconfig(libraw)
BuildRequires: fftw-devel
BuildRequires: tiff-devel
BuildRequires: curl-devel

Requires:      scamp
Requires:      cdsclient
Requires:      python3-astropy
Requires:      python3-matplotlib
Requires:      python3-numpy
Requires:      swarp
Requires:      sextractor

%description
This version is suitable for survey work, i.e. you have a very large
number of different pointings taken with the same optical
instrument. Contrary to the GUI, it can be run in batch mode, and also
on a Linux cluster. The scripts are mainly optimised for blank fields,
and they need to be configured manually to suit the data for your
instrument.

%prep
%setup -q -n THELI-%{version}
%autopatch -p1


%build
cd src
%qmake_qt5 THELI.pro
%make_build

%install
%make_install -C src INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license LICENSE COPYING
%{_bindir}/*
%{_datadir}/theli/


%changelog
* Thu Dec 29 2022 daviddavid <daviddavid> 3.1.4-4.mga9
+ Revision: 1927526
- rebuild for new gsl 2.7.1

* Wed Dec 14 2022 daviddavid <daviddavid> 3.1.4-3.mga9
+ Revision: 1922160
- rebuild for new libtiff in Core/Release
- fix license for GPLv3+
- build with our proper qmake macro

* Tue Dec 13 2022 ns80 <ns80> 3.1.4-2.mga9
+ Revision: 1921657
- force using qt5 > 5.15.6
- rebuild for new libtiff

* Sun Dec 04 2022 eatdirt <eatdirt> 3.1.4-1.mga9
+ Revision: 1917881
- Update to version 3.1.4

* Wed Apr 06 2022 umeabot <umeabot> 3.0.5-2.mga9
+ Revision: 1846092
- Mageia 9 Mass Rebuild

* Fri Dec 25 2020 joequant <joequant> 3.0.5-1.mga8
+ Revision: 1663679
- fix deps
- fix deps
- add libtiff
- update to 3.0.5

* Fri Aug 14 2020 neoclust <neoclust> 1.9.5-8.mga8
+ Revision: 1614082
- Rebuild to fix missing rpm

* Sun Jun 28 2020 joequant <joequant> 1.9.5-7.mga8
+ Revision: 1600046
- fix scripts
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.9.5-6.mga7
+ Revision: 1301396
- Mageia 7 Mass Rebuild

* Thu Oct 27 2016 eatdirt <eatdirt> 1.9.5-5.mga6
+ Revision: 1063742
- Trading dependency from pytfits to astropy
- Unobsoleting theli.
+ akien <akien>
- Obsolete the unmaintained stsci python stack

* Mon Feb 01 2016 umeabot <umeabot> 1.9.5-4.mga6
+ Revision: 929715
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.5-3.mga5
+ Revision: 747544
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 eatdirt <eatdirt> 1.9.5-1.mga5
+ Revision: 642306
- Upgrade to version 1.9.5

* Mon Oct 21 2013 umeabot <umeabot> 1.7.6-3.mga4
+ Revision: 539065
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 joequant <joequant> 1.7.6-2.mga4
+ Revision: 491294
- remove dot on summary

* Fri Oct 04 2013 joequant <joequant> 1.7.6-1.mga4
+ Revision: 491289
- remove dot from summary
- imported package theli

